WPS8Struct Namespace Reference

namespace used to read the structures stored in a WPS8 files More...

## Classes

struct | FileData
| A recursif structure which seems generally used to store complex memory structures in a file. More...

## Functions

std::ostream & | operator<< (std::ostream &o, FileData const &dt)
| operator<< which allows to print for debugging the content of a Data More...
bool | readBlockData (WPXInputStreamPtr input, long endPos, FileData &dt, std::string &error)
| tries to read a block zone as a list of Data More...
bool | readData (WPXInputStreamPtr input, long endPos, FileData &dt, std::string &error)
| tries to read a block zone as a Data More...

## Detailed Description

namespace used to read the structures stored in a WPS8 files

## Function Documentation

std::ostream & WPS8Struct::operator<< | ( | std::ostream & | o,
|  | FileData const & | dt
| ) |  |

operator<< which allows to print for debugging the content of a Data

operator<<

bool WPS8Struct::readBlockData | ( | WPXInputStreamPtr | input,
|  | long | endPos,
|  | FileData & | dt,
|  | std::string & | error
| ) |  |

tries to read a block zone as a list of Data

function which parses a set of elements

Referenced by WPS8Parser::readDocProperties(), WPS8TextStyle::readFont(), WPS8Parser::readFRAM(), WPS8Table::readMCLD(), WPS8TextStyle::readParagraph(), WPS8Text::readPLC(), WPS8TextStyle::readSGP(), and WPS8Text::tokenEndDataParser().

bool WPS8Struct::readData | ( | WPXInputStreamPtr | input,
|  | long | endPos,
|  | FileData & | dt,
|  | std::string & |
| ) |  |

tries to read a block zone as a Data

function which parses an element

Referenced by readBlockData().